collection.hpp File Reference
`#include <iterator>`
`#include <iosfwd>`
`#include <type_traits>`
`#include <osmium/memory/item.hpp>`
Include dependency graph for collection.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::memory::CollectionIterator< TMember >
class | osmium::memory::Collection< TMember, TCollectionItemType >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::memory
| Memory management of items in buffers and iterators over this data.

## Functions

template<typename TChar , typename TTraits , typename TMember >
std::basic_ostream< TChar, TTraits > & | osmium::memory::operator<< (std::basic_ostream< TChar, TTraits > &out, const CollectionIterator< TMember > &iter)